Skip to main content

Pix on File Bank List

PIX Jornada Sem Redirecionamento is fully coordinated by the Central Bank (Banco Central), and all major financial institutions and payment institutions with over 500,000 active accounts (which are obligated to offer Pix) are either required to or are in the process of implementing it.

To know which banks currently accept account linking, consult EBANX Bank List.

Requirements

  • EBANX Account
  • API Credentials - Ensure you have your EBANX integration Key. If not, complete the Merchant Signup Form.

Instructions

To get the list of banks currently enabled for PIX JSR, follow the steps below.

ParameterRequirementDescription
integration_keyRequiredYour integration key
typeRequiredMust be request
countryRequiredMust be br
payment_type_codeRequiredMust be pix-jsr

Sample Request

curl -X GET 'https://sandbox.ebanx.com/ws/getBankList' \
--header 'Content-Type: application/json' \
--data '{
"integration_key": "your_ebanx_integration_key",
"type": "request",
"country": "br",
"payment_type_code": "pix-jsr"
}'

A successful request will return a JSON response like the one below, containing an array of banks. The values listed as {bank_id} are the acceptable inputs when initiating Device Linking.

[
{
"id": "{bank_id}",
"name": "{bank_name}",
"logoUrl": "{bank_logo_svg}"
}
]